Bug 714835 - Improve menu entry name
Summary: Improve menu entry name
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Terminal
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-21 00:35 UTC by Adam Williamson
Modified: 2013-05-19 19:09 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-19 19:09:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 7753 None None None Never

Description Adam Williamson 2011-06-21 00:35:01 UTC
There's been some discussion lately of 'name collisions' in the Fedora menus. One of the more commonly encountered is GNOME Terminal vs. Terminal (this app). Both are labelled simply as 'Terminal' in the menus, with the same icon. There's no practical way to tell them apart.

On a pragmatic level I suspect it'll be easier to get Terminal changed than gnome-terminal, so could we change the menu entry a bit? I propose calling it Xfce Terminal: it's clearly affiliated with the Xfce project, and gets installed as Xfce's default terminal. It's discussed on the Xfce site - http://www.xfce.org/projects/terminal - as "a modern, lightweight, and low memory cost terminal emulator with tabs and multiple windows for the Xfce desktop environment", it's hosted on xfce.org...so that seems the easiest way to go. But any rename would work, just something to make it possible to differentiate the two when you have both installed.

Comment 1 Kevin Fenzi 2011-06-21 14:27:43 UTC
Well, there's a bit of history here too... there used to be a 'xfce4-terminal' package/project. Then Terminal came along and did things better and became the default/replaced the old one. 

Some distros (like Debian/Ubuntu just replaced the xfce4-terminal package with Terminal, adding to the confusion). 

I think this is all pretty ancient, so not sure it matters too much... 

I guess I am ok with us adding to the desktop name here, but: 

a) I'd like to get the opinion of the rest of the Xfce sig. 

b) I'd like to try and get upstream to buy into this (I have no idea if they will, but I'd like to try).

Comment 2 Kevin Fenzi 2011-06-21 14:32:09 UTC
Filed upstream. Posted to sig list.

Comment 3 Christoph Wickert 2011-06-21 14:42:50 UTC
I think the whole "Improving app naming" thing is a dead end. I can understand it for system-config vs. presonal preferences, but not for generic names like a terminal, filemanager, calculator or adress book. IHMO these menu entries should rather have "OnlyShowIn" to avoid confusion.

Comment 4 Fedora End Of Life 2012-08-07 19:54:26 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Adam Williamson 2012-08-08 23:21:45 UTC
This is still valid, a mere year and a bit later. Siiiigh.

Comment 6 Kevin Fenzi 2013-05-19 19:09:42 UTC
This is fixed now in f19+... 

Terminal has been renamed to xfce4-terminal, and its menu entry says: "Xfce Terminal"

:)


Note You need to log in before you can comment on or make changes to this bug.